package celery.engine.graphics;

import celery.engine.managers.MaterialManager;
import android.graphics.Paint;

/**
 * @TODO: this class should really be encapsulated by some sort of factory in
 *        the MaterialManager, but whatever.
 * @author psastras
 * 
 */
public class SceneMaterial {

	/**
	 * Creates a managed material, which is immediately added to the
	 * MaterialManager
	 * 
	 * @param name
	 * @param p
	 * @return
	 */
	public static final SceneMaterial createManagedMaterial(String name, Paint p) {
		return new SceneMaterial(name, new Paint(p));
	}

	protected SceneMaterial(String name, Paint p) {
		paint = p;
		MaterialManager.instance().addMaterial(name, this);
	}

	public Paint paint;
}
