package celery.engine.inputhandlers;

import android.view.MotionEvent;
import android.view.View;
import celery.engine.graphics.SceneEntity;

public abstract class TouchInputHandler extends InputHandler {

	protected boolean isEnabled_ = true;

	public boolean onTouch(SceneEntity e, View arg0, MotionEvent arg1) {
		return true;
	}

	public boolean onDrag(SceneEntity e, View arg0, MotionEvent arg1) {
		return true;
	}

	public boolean onRelease(SceneEntity e, View arg0, MotionEvent arg1) {
		return true;
	}

	public void disable() {
		isEnabled_ = false;
	}

	public void enable() {
		isEnabled_ = true;
	}

	public boolean isEnabled() {
		return isEnabled_;
	}

}
