package celery.engine.utils;

import android.os.Handler;
import android.os.Message;
import celery.engine.Engine;
import celery.engine.updatehandlers.UpdateHandler;

public class MessageHandler extends Handler {

	public MessageHandler() {

	}

	@Override
	public void handleMessage(Message msg) {
		((UpdateHandler) (msg.obj)).receiveMessage(msg);
		super.handleMessage(msg);
	}

	public boolean sendMessageAtTime(UpdateHandler handler, Message msg,
			long uptimeMillis) {
		if (!Engine.instance().isRunning())
			return false;
		msg.obj = handler;
		return sendMessageAtTime(msg, uptimeMillis);
	}

}
